uinsert(3)

NAME
uinsert - Inserts a character in a string. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int uinsert(char *s, int index, int c);

DESCRIPTION
Inserts the character `c' at the specified `index' in the string, sliding the rest of the data along to make room. If `index' is negative, it counts backward from the end of the string. Example:
   uinsert(text_string, 0, prefix_letter);

RETURN VALUE
Returns the number of bytes by which the trailing part of the string was moved.

SEE ALSO
uoffset(3), ugetat(3), usetat(3), uremove(3)